[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPHashObjectList.NameOfIndex

Returns the key name of an object by index

## Declaration

Source position: contnrs.pp line 303

`public function TFPHashObjectList.NameOfIndex(`
`Index: Integer`
`):ShortString;`

## Arguments

`Index` |  | Index of object for which to return name

## Function result

Key name of object at position Index

## Description

NameOfIndex returns the key name of the object at position Index.

## Errors

If Index is out of the valid range, an exception is raised.

## See also

TFPHashObjectList.HashOfIndex |  | Return the hash valye of an object by index
TFPHashObjectList.Find |  | Find data associated with key
TFPHashObjectList.FindIndexOf |  | Return index of named object.
TFPHashObjectList.FindWithHash |  | Find first element with given name and hash value

Documentation generated on: Feb 26 2014